Documentation Index

Fetch the complete documentation index at: https://developer.comm100.com/llms.txt

Use this file to discover all available pages before exploring further.

Restricted Words Config

Prev Next

Restricted Words Config

Restricted Words Config JSON Format

Restricted Words Config is represented as simple flat JSON objects with the following keys:

Name Type Description
siteId integer Id of the site.
isEnabled bool Whether Restricted Words is enabled or not.
restrictedWords string Words that agents are restricted to use.

Get a single Restricted Words Config

GET global/restrictedWordsConfig

  • Parameters:

No Parameters

  • Response:

Restricted Words Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/restrictedWordsConfig \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "siteId": 10000,
  "isEnabled": true,
  "restrictedWords": "test"
} 

Disable the Restricted Words Config

POST global/restrictedWordsConfig:disable

  • Parameters:

No Parameters

  • Response:

Restricted Words Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/restrictedWordsConfig:disable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "siteId": 10000,
  "isEnabled": false,
  "restrictedWords": "test"
} 

Enable the Restricted Words Config

POST global/restrictedWordsConfig:enable

  • Parameters:

No Parameters

  • Response:

Restricted Words Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/restrictedWordsConfig:enable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "siteId": 10000,
  "isEnabled": true,
  "restrictedWords": "test"
} 

Update the Restricted Words Config

PUT global/restrictedWordsConfig

  • Parameters:

Name Type in Required Description
isEnabled bool body no Whether Restricted Words is enabled or not.
restrictedWords string body no Words that agents are restricted to use.
  • Response:

Restricted Words Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/restrictedWordsConfig \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"isEnabled":true,"restrictedWords":"test"}' 

Response:

HTTP/1.1 200 OK

{
  "siteId": 10000,
  "isEnabled": true,
  "restrictedWords": "test"
} 
Copyright © 2026 Comm100 Network Corporation. All Rights Reserved.